# Copyright : Olivier Langella (CNRS)
# License : GPL-3.0+
# Authors : Olivier Langella, Filippo Rusconi

find_path(PappsoMSpp_INCLUDE_DIR pappsomspp/types.h
	PATHS /usr/local/include /usr/include
	PATH_SUFFIXES pappsomspp libpappsomspp ENV PATH)


find_library(PappsoMSpp_LIBRARY NAMES pappsomspp)

if(PappsoMSpp_INCLUDE_DIR AND PappsoMSpp_LIBRARY)

	mark_as_advanced(PappsoMSpp_INCLUDE_DIR)
	mark_as_advanced(PappsoMSpp_LIBRARY)

	message(STATUS "~~~~~~~~~~~~~ ${PappsoMSpp_LIBRARY} ~~~~~~~~~~~~~~~")

	set(PappsoMSpp_FOUND TRUE)

endif()

if(PappsoMSpp_FOUND)
	# show which CppUnit was found only if not quiet

	if(NOT PappsoMSpp_FIND_QUIETLY)
		message(STATUS "Found PappsoMSpp_LIBRARY: ${PappsoMSpp_LIBRARY}")
	endif()

	if(NOT TARGET Pappso::Core)

		add_library(Pappso::Core UNKNOWN IMPORTED)

		set_target_properties(Pappso::Core PROPERTIES
			IMPORTED_LOCATION             "${PappsoMSpp_LIBRARY}"
			INTERFACE_INCLUDE_DIRECTORIES "${PappsoMSpp_INCLUDE_DIR}")

	endif()

	find_library(PappsoMSpp_WIDGET_LIBRARY NAMES pappsomspp-widget)

	if(PappsoMSpp_INCLUDE_DIR AND PappsoMSpp_WIDGET_LIBRARY)

		mark_as_advanced(PappsoMSpp_WIDGET_LIBRARY)  

		message(STATUS "~~~~~~~~~~~~~ ${PappsoMSpp_WIDGET_LIBRARY} ~~~~~~~~~~~~~~~")

		set(PappsoMSpp_WIDGET_FOUND TRUE)

		if(NOT TARGET Pappso::Widget)

			add_library(Pappso::Widget UNKNOWN IMPORTED)

			set_target_properties(Pappso::Widget PROPERTIES
				IMPORTED_LOCATION             "${PappsoMSpp_WIDGET_LIBRARY}"
				INTERFACE_INCLUDE_DIRECTORIES "${PappsoMSpp_INCLUDE_DIR}")

		endif()

	endif()

	# show which CppUnit was found only if not quiet
	if(NOT PappsoMSpp_FIND_QUIETLY)
		message(STATUS "Found PappsoMSpp_WIDGET_LIBRARY: ${PappsoMSpp_WIDGET_LIBRARY}")
	endif()

else()

	# fatal error if CppUnit is required but not found
	if(PappsoMSpp_FIND_REQUIRED)

		message(FATAL_ERROR "Could not find libpappsomspp. Please do specify the
		PappsoMSpp_INCLUDE_DIR and PappsoMSpp_LIBRARY variables using cmake!")

	endif()

endif()
