# Copyright : Olivier Langella (CNRS)
# License : GPL-3.0+
# Authors : Olivier Langella, Filippo Rusconi

set(PappsoMSpp_FOUND 1)

set(PappsoMSpp_INCLUDE_DIR ${CMAKE_INSTALL_PREFIX}/include/pappsomspp)
mark_as_advanced(PappsoMSpp_INCLUDE_DIR)

set(PappsoMSpp_LIBRARY ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/libpappsomspp.so.${PAPPSOMSPP_VERSION})
mark_as_advanced(PappsoMSpp_LIBRARY)

if(NOT TARGET Pappso::Core)

	add_library(Pappso::Core UNKNOWN IMPORTED)

	set_target_properties(Pappso::Core PROPERTIES
		IMPORTED_LOCATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/libpappsomspp.so.${PAPPSOMSPP_VERSION}"
		INTERFACE_INCLUDE_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/include/pappsomspp")

endif()


set(PappsoMSpp_WIDGET_FOUND 1)

set(PappsoMSpp_WIDGET_LIBRARY ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/libpappsomspp-widget.so.${PAPPSOMSPP_VERSION})
mark_as_advanced(PappsoMSpp_WIDGET_LIBRARY)

if(NOT TARGET Pappso::Widget)

	add_library(Pappso::Widget UNKNOWN IMPORTED)

	set_target_properties(Pappso::Widget PROPERTIES
		IMPORTED_LOCATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/libpappsomspp-widget.so.${PAPPSOMSPP_VERSION}"
		INTERFACE_INCLUDE_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/include/pappsomspp")

endif()
